Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`application`.`internet`.`_ReconnectingProtocolProxy``

class documentation

`class _ReconnectingProtocolProxy: (source)`

Constructor: `_ReconnectingProtocolProxy(protocol, lostNotification)`

View In Hierarchy

A proxy for a Protocol to provide connectionLost notification to a client connection service, in support of reconnecting when connections are lost.

Method | `__getattr__` | Undocumented
Method | `__init__` | Create a `_ReconnectingProtocolProxy`.
Method | `__repr__` | Undocumented
Method | `connectionLost` | The connection was lost. Relay this information.
Instance Variable | `_lostNotification` | Undocumented
Instance Variable | `_protocol` | Undocumented

def __getattr__(self, item): (source)

Undocumented

def __init__(self, protocol, lostNotification): (source)

Create a `_ReconnectingProtocolProxy`.

Parameters
protocol:provider of `interfaces.IProtocol` which may additionally provide `interfaces.IHalfCloseableProtocol` and `interfaces.IFileDescriptorReceiver`. | the application-provided `interfaces.IProtocol` provider.
lostNotification | a 1-argument callable to invoke with the `reason` when the connection is lost.

def __repr__(self) -> `str`: (source)

Undocumented

def connectionLost(self, reason): (source)

The connection was lost. Relay this information.

Parameters
reason | The reason the connection was lost.
Returns
the underlying protocol's result

_lostNotification = (source)

Undocumented

_protocol = (source)

Undocumented